Update project
const url = 'https://api.shypr.app/rest/billing/projects/example/update';const options = { method: 'POST', headers: {'X-API-KEY': '<X-API-KEY>', 'Content-Type': 'application/json'}, body: '{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","name":"example","collaboratorIds":["example"],"startDate":"2026-04-15T12:00:00Z","deadline":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.shypr.app/rest/billing/projects/example/update \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <X-API-KEY>' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "collaboratorIds": [ "example" ], "startDate": "2026-04-15T12:00:00Z", "deadline": "2026-04-15T12:00:00Z" }'Creates a Project resource.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Project identifier
Request Bodyrequired
Section titled “Request Bodyrequired”The new Project resource
object
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "collaboratorIds": [ "example" ], "startDate": "2026-04-15T12:00:00Z", "deadline": "2026-04-15T12:00:00Z"}object
Responses
Section titled “Responses”Project resource created
object
The members of the team who work on the project.
The optional date the project starts.
The optional date the project must be done.
The sales orders in the currency of the workspace. An order without an exchange rate is not in it, see getMissingExchangeRates().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The purchase orders in the currency of the workspace. An order without an exchange rate is not in it, see getMissingExchangeRates().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The margins of the sales orders: their line totals minus the cost of the products when each line was made. The purchase orders are not in it, because their goods can go to stock or to other orders. Null when no sales order has a margin, see CustomerBillingRecord::getMargin().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The profit as a percentage of the line totals with a cost.
The number of sales order lines without a cost. They are not in the profit, so the page warns about them.
The invoices in the currency of the workspace. An invoice without an exchange rate is not in it, see getMissingExchangeRates().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The number of orders and invoices without an exchange rate. The totals of the project leave them out, so the page warns about them.
Example
{ "status": "prj.o", "collaborators": [ "https://example.com/" ], "salesOrders": [ "https://example.com/" ], "purchaseOrders": [ "https://example.com/" ], "attachments": [ "https://example.com/" ], "notes": [ "https://example.com/" ]}object
The members of the team who work on the project.
The optional date the project starts.
The optional date the project must be done.
The sales orders in the currency of the workspace. An order without an exchange rate is not in it, see getMissingExchangeRates().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The purchase orders in the currency of the workspace. An order without an exchange rate is not in it, see getMissingExchangeRates().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The margins of the sales orders: their line totals minus the cost of the products when each line was made. The purchase orders are not in it, because their goods can go to stock or to other orders. Null when no sales order has a margin, see CustomerBillingRecord::getMargin().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The profit as a percentage of the line totals with a cost.
The number of sales order lines without a cost. They are not in the profit, so the page warns about them.
The invoices in the currency of the workspace. An invoice without an exchange rate is not in it, see getMissingExchangeRates().
object
The amount.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
The currency.
object
The currency code. For ISO currencies this will be the 3-letter uppercase ISO 4217 currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes.
The numeric currency code. For ISO currencies this will be the ISO 4217 numeric currency code. For non-ISO currencies no constraints are defined, but the code must be unique across an application and must not conflict with ISO currency codes. Set to null if the currency does not have a numeric code.
The currency name. For ISO currencies this will be the official English name of the currency. For non-ISO currencies no constraints are defined.
The default number of fraction digits (typical scale) used with this currency. For example, the default number of fraction digits for the Euro is 2, while for the Japanese Yen it is 0. This cannot be a negative number.
The type of the currency. For ISO currencies, this indicates whether the currency is currently in use (IsoCurrent) or has been withdrawn (IsoHistorical). For non-ISO currencies defined by the application, the type is Custom.
object
The context that defines the capability of this Money.
object
Returns the step used by this context.
Returns whether this context produces a deterministic scale regardless of the input value.
Returns the amount of this Money in minor units (cents) for the currency.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the fractional part of this decimal number.
object
The scale (number of digits after the decimal point) of this decimal number.
Returns the unscaled value of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Returns the number of significant digits in the number.
Returns the integral part of this decimal number.
object
Returns the number of bits in the minimal two’s-complement representation of this BigInteger, excluding a sign bit.
Returns the index of the rightmost (lowest-order) one bit in this BigInteger.
Returns whether this number is even.
Returns whether this number is odd.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
Checks if this number equals zero.
Checks if this number is strictly negative.
Checks if this number is negative or zero.
Checks if this number is strictly positive.
Checks if this number is positive or zero.
This method satisfies the Monetary interface.
Returns the sign of this money.
Returns whether this money has zero value.
Returns whether this money has a negative value.
Returns whether this money has a negative or zero value.
Returns whether this money has a positive value.
Returns whether this money has a positive or zero value.
The number of orders and invoices without an exchange rate. The totals of the project leave them out, so the page warns about them.
Invalid input
A representation of common errors.
object
A short, human-readable summary of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
A URI reference that identifies the problem type
Example
{ "status": 400}A representation of common errors.
object
A short, human-readable summary of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
A URI reference that identifies the problem type
Example
{ "status": 400}Forbidden
A representation of common errors.
object
A short, human-readable summary of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
A URI reference that identifies the problem type
Example
{ "status": 400}A representation of common errors.
object
A short, human-readable summary of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
A URI reference that identifies the problem type
Example
{ "status": 400}An error occurred
Unprocessable entity
object
object
The property path of the violation
The message associated with the violation
The code of the violation
An extra hint to understand the violation
The serialized payload of the violation
object
Example
{ "status": 422}Unprocessable entity
object
object
The property path of the violation
The message associated with the violation
The code of the violation
An extra hint to understand the violation
The serialized payload of the violation
object
Example
{ "status": 422}